diff -NrU5 vsftpd-2.2.0.original/defs.h vsftpd-2.2.0/defs.h
--- vsftpd-2.2.0.original/defs.h	2009-08-23 15:23:00.000000000 -0600
+++ vsftpd-2.2.0/defs.h	2009-08-23 16:01:20.000000000 -0600
@@ -1,9 +1,9 @@
 #ifndef VSF_DEFS_H
 #define VSF_DEFS_H
 
-#define VSFTP_DEFAULT_CONFIG    "/etc/vsftpd.conf"
+#define VSFTP_DEFAULT_CONFIG    "/etc/vsftpd/vsftpd.conf"
 
 #define VSFTP_COMMAND_FD        0
 
 #define VSFTP_PASSWORD_MAX      128
 #define VSFTP_USERNAME_MAX      128
diff -NrU5 vsftpd-2.2.0.original/tunables.c vsftpd-2.2.0/tunables.c
--- vsftpd-2.2.0.original/tunables.c	2009-08-23 15:23:00.000000000 -0600
+++ vsftpd-2.2.0/tunables.c	2009-08-23 16:00:14.000000000 -0600
@@ -244,23 +244,23 @@
   tunable_delay_successful_login = 0;
   tunable_max_login_fails = 3;
   /* -rw------- */
   tunable_chown_upload_mode = 0600;
 
-  install_str_setting("/usr/share/empty", &tunable_secure_chroot_dir);
+  install_str_setting("/usr/share/vsftpd/empty", &tunable_secure_chroot_dir);
   install_str_setting("ftp", &tunable_ftp_username);
   install_str_setting("root", &tunable_chown_username);
   install_str_setting("/var/log/xferlog", &tunable_xferlog_file);
   install_str_setting("/var/log/vsftpd.log", &tunable_vsftpd_log_file);
   install_str_setting(".message", &tunable_message_file);
   install_str_setting("nobody", &tunable_nopriv_user);
   install_str_setting(0, &tunable_ftpd_banner);
-  install_str_setting("/etc/vsftpd.banned_emails", &tunable_banned_email_file);
-  install_str_setting("/etc/vsftpd.chroot_list", &tunable_chroot_list_file);
+  install_str_setting("/etc/vsftpd/banned_emails", &tunable_banned_email_file);
+  install_str_setting("/etc/vsftpd/chroot_list", &tunable_chroot_list_file);
   install_str_setting("ftp", &tunable_pam_service_name);
   install_str_setting("ftp", &tunable_guest_username);
-  install_str_setting("/etc/vsftpd.user_list", &tunable_userlist_file);
+  install_str_setting("/etc/vsftpd/user_list", &tunable_userlist_file);
   install_str_setting(0, &tunable_anon_root);
   install_str_setting(0, &tunable_local_root);
   install_str_setting(0, &tunable_banner_file);
   install_str_setting(0, &tunable_pasv_address);
   install_str_setting(0, &tunable_listen_address);
@@ -269,11 +269,11 @@
   install_str_setting(0, &tunable_cmds_allowed);
   install_str_setting(0, &tunable_cmds_denied);
   install_str_setting(0, &tunable_hide_file);
   install_str_setting(0, &tunable_deny_file);
   install_str_setting(0, &tunable_user_sub_token);
-  install_str_setting("/etc/vsftpd.email_passwords",
+  install_str_setting("/etc/vsftpd/email_passwords",
                       &tunable_email_password_file);
   install_str_setting("/usr/share/ssl/certs/vsftpd.pem",
                       &tunable_rsa_cert_file);
   install_str_setting(0, &tunable_dsa_cert_file);
   install_str_setting("DES-CBC3-SHA", &tunable_ssl_ciphers);
diff -NrU5 vsftpd-2.2.0.original/vsftpd.8 vsftpd-2.2.0/vsftpd.8
--- vsftpd-2.2.0.original/vsftpd.8	2009-08-23 15:23:00.000000000 -0600
+++ vsftpd-2.2.0/vsftpd.8	2009-08-23 16:10:03.000000000 -0600
@@ -19,11 +19,11 @@
 Alternatively, vsftpd can be launched in standalone mode, in which case vsftpd
 itself will listen on the network. This latter mode is easier to use, and
 recommended. It is activated by setting
 .Pa listen=YES
 in
-.Pa /etc/vsftpd.conf .
+.Pa /etc/vsftpd/vsftpd.conf .
 Direct execution of the
 .Nm vsftpd
 binary will then launch the FTP service ready for immediate client connections.
 .Sh OPTIONS
 An optional
@@ -31,11 +31,11 @@
 may be given on the command line. These files must be owned as root if running
 as root. Any command line option not starting with a "-" character is treated
 as a config file that will be loaded. Note that config files are loaded in the
 strict order that they are encountered on the command line.
 If no config files are specified, the default configuration file of
-.Pa /etc/vsftpd.conf
+.Pa /etc/vsftpd/vsftpd.conf
 will be loaded, after all other command line options are processed.
 .Pp
 Supported options are:
 .Bl -tag -width Ds
 .It Fl v
@@ -45,16 +45,16 @@
 -o options are supported, and they are applied in strict order relative to
 their appearance on the command line, including intermingling with loading of
 config files.
 .El
 .Sh EXAMPLES
-vsftpd -olisten=NO /etc/vsftpd.conf -oftpd_banner=blah
+vsftpd -olisten=NO /etc/vsftpd/vsftpd.conf -oftpd_banner=blah
 .Pp
 That example overrides vsftpd's built-in default for the "listen" option to be
-NO, but then loads /etc/vsftpd.conf which may override that setting. Finally,
+NO, but then loads /etc/vsftpd/vsftpd.conf which may override that setting. Finally,
 the "ftpd_banner" setting is set to "blah", which overrides any default vsftpd
 setting and any identical setting that was in the config file.
 .Sh FILES
-.Pa /etc/vsftpd.conf
+.Pa /etc/vsftpd/vsftpd.conf
 .Sh SEE ALSO
 .Xr vsftpd.conf 5
 .end
diff -NrU5 vsftpd-2.2.0.original/vsftpd.conf vsftpd-2.2.0/vsftpd.conf
--- vsftpd-2.2.0.original/vsftpd.conf	2009-08-23 15:23:00.000000000 -0600
+++ vsftpd-2.2.0/vsftpd.conf	2009-08-23 15:35:03.000000000 -0600
@@ -1,6 +1,6 @@
-# Example config file /etc/vsftpd.conf
+# Example config file /etc/vsftpd/vsftpd.conf
 #
 # The default compiled in settings are fairly paranoid. This sample file
 # loosens things up a bit, to make the ftp daemon more usable.
 # Please see vsftpd.conf.5 for all compiled in defaults.
 #
@@ -85,19 +85,19 @@
 #
 # You may specify a file of disallowed anonymous e-mail addresses. Apparently
 # useful for combatting certain DoS attacks.
 #deny_email_enable=YES
 # (default follows)
-#banned_email_file=/etc/vsftpd.banned_emails
+#banned_email_file=/etc/vsftpd/banned_emails
 #
 # You may specify an explicit list of local users to chroot() to their home
 # directory. If chroot_local_user is YES, then this list becomes a list of
 # users to NOT chroot().
 #chroot_local_user=YES
 #chroot_list_enable=YES
 # (default follows)
-#chroot_list_file=/etc/vsftpd.chroot_list
+#chroot_list_file=/etc/vsftpd/chroot_list
 #
 # You may activate the "-R" option to the builtin ls. This is disabled by
 # default to avoid remote users being able to cause excessive I/O on large
 # sites. However, some broken FTP clients such as "ncftp" and "mirror" assume
 # the presence of the "-R" option, so there is a strong case for enabling it.
diff -NrU5 vsftpd-2.2.0.original/vsftpd.conf.5 vsftpd-2.2.0/vsftpd.conf.5
--- vsftpd-2.2.0.original/vsftpd.conf.5	2009-08-23 15:23:00.000000000 -0600
+++ vsftpd-2.2.0/vsftpd.conf.5	2009-08-23 15:49:59.000000000 -0600
@@ -2,11 +2,11 @@
 .SH NAME
 vsftpd.conf \- config file for vsftpd
 .SH DESCRIPTION
 vsftpd.conf may be used to control various aspects of vsftpd's behaviour. By
 default, vsftpd looks for this file at the location
-.BR /etc/vsftpd.conf .
+.BR /etc/vsftpd/vsftpd.conf .
 However, you may override this by specifying a command line argument to
 vsftpd. The command line argument is the pathname of the configuration file
 for vsftpd. This behaviour is useful because you may wish to use an advanced
 inetd such as
 .BR xinetd
@@ -136,11 +136,11 @@
 If activated, you may provide a list of local users who are placed in a
 chroot() jail in their home directory upon login. The meaning is slightly
 different if chroot_local_user is set to YES. In this case, the list becomes
 a list of users which are NOT to be placed in a chroot() jail.
 By default, the file containing this list is
-/etc/vsftpd.chroot_list, but you may override this with the
+/etc/vsftpd/chroot_list, but you may override this with the
 .BR chroot_list_file
 setting.
 
 Default: NO
 .TP
@@ -175,11 +175,11 @@
 Default: NO
 .TP
 .B deny_email_enable
 If activated, you may provide a list of anonymous password e-mail responses
 which cause login to be denied. By default, the file containing this list is
-/etc/vsftpd.banned_emails, but you may override this with the
+/etc/vsftpd/banned_emails, but you may override this with the
 .BR banned_email_file
 setting.
 
 Default: NO
 .TP
@@ -431,11 +431,11 @@
 access to low-security content without needing virtual users. When enabled,
 anonymous logins are prevented unless the password provided is listed in the
 file specified by the
 .BR email_password_file
 setting. The file format is one password per line, no extra whitespace. The
-default filename is /etc/vsftpd.email_passwords.
+default filename is /etc/vsftpd/email_passwords.
 
 Default: NO
 .TP
 .B session_support
 This controls whether vsftpd attempts to maintain sessions for logins. If
@@ -762,11 +762,11 @@
 This option is the name of a file containing a list of anonymous e-mail
 passwords which are not permitted. This file is consulted if the option
 .BR deny_email_enable
 is enabled.
 
-Default: /etc/vsftpd.banned_emails
+Default: /etc/vsftpd/banned_emails
 .TP
 .B banner_file
 This option is the name of a file containing text to display when someone
 connects to the server. If set, it overrides the banner string provided by
 the
@@ -799,11 +799,11 @@
 is enabled. If the option
 .BR chroot_local_user
 is enabled, then the list file becomes a list of users to NOT place in a
 chroot() jail.
 
-Default: /etc/vsftpd.chroot_list
+Default: /etc/vsftpd/chroot_list
 .TP
 .B cmds_allowed
 This options specifies a comma separated list of allowed FTP commands (post
 login. USER, PASS and QUIT and others are always allowed pre-login). Other
 commands are rejected. This is a powerful method of really locking down an
@@ -860,11 +860,11 @@
 .B email_password_file
 This option can be used to provide an alternate file for usage by the
 .BR secure_email_list_enable
 setting.
 
-Default: /etc/vsftpd.email_passwords
+Default: /etc/vsftpd/email_passwords
 .TP
 .B ftp_username
 This is the name of the user we use for handling anonymous FTP. The home
 directory of this user is the root of the anonymous FTP area.
 
@@ -983,14 +983,14 @@
 This powerful option allows the override of any config option specified in
 the manual page, on a per-user basis. Usage is simple, and is best illustrated
 with an example. If you set
 .BR user_config_dir
 to be
-.BR /etc/vsftpd_user_conf
+.BR /etc/vsftpd/user_conf
 and then log on as the user "chris", then vsftpd will apply the settings in
 the file
-.BR /etc/vsftpd_user_conf/chris
+.BR /etc/vsftpd/user_conf/chris
 for the duration of the session. The format of this file is as detailed in
 this manual page! PLEASE NOTE that not all settings are effective on a
 per-user basis. For example, many settings only prior to the user's session
 being started. Examples of settings which will not affect any behviour on
 a per-user basis include listen_address, banner_file, max_per_ip, max_clients,
@@ -1022,11 +1022,11 @@
 .B userlist_file
 This option is the name of the file loaded when the
 .BR userlist_enable
 option is active.
 
-Default: /etc/vsftpd.user_list
+Default: /etc/vsftpd/user_list
 .TP
 .B vsftpd_log_file
 This option is the name of the file to which we write the vsftpd style
 log file. This log is only written if the option
 .BR xferlog_enable
